using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Media;

namespace OcadMapLibrary {

	public abstract class PointSymbolElement {

		public abstract void Draw(DrawingContext drawingContext, MapColor mapColor);

		public abstract Rect GetBoundingRect(Point position);

		public abstract bool ContainsColor(MapColor mapColor);

	}

}
